## smsclient 2.0.8z-9

=== docs/Makefile ===
# This makefile was customized for the use by Debian/GNU Linux
# customisation made by Michael Holzt <kju@debian.org>
#

# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:12:35 root Exp $
# -------------------------------------------------------------------- 

include ../Makefile.config

# -------------------------------------------------------------------- 

all:
install:
uninstall:

#all: sms_client.$(MANEXT)
#	$(CP) sms_client.man sms_client.$(MANEXT)
#
#install: sms_client.$(MANEXT)
#	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(MANDIR)/man$(MANEXT)
#	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_client.$(MANEXT) $(MANDIR)/man$(MANEXT)
#	
#uninstall:
#	$(RM) $(MANDIR)/man$(MANEXT)/sms_client.$(MANEXT)
#	
# --------------------------------------------------------------------

=== src/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:10:39 root Exp root $
# -------------------------------------------------------------------- 

include ../Makefile.config

# --------------------------------------------------------------------

all: 
	cd common ; $(MAKE)
	cd logfile ; $(MAKE)
	cd driver ; $(MAKE)
	cd client ; $(MAKE)
	cd parser ; $(MAKE)
#	cd server ; $(MAKE)
#	cd queue ; $(MAKE)
	cd terminal ; $(MAKE)

install: 
	cd logfile ; $(MAKE) install
	cd client ; $(MAKE) install
#	cd server ; $(MAKE) install
#	cd queue ; $(MAKE) install
	
uninstall:
#	cd queue ; $(MAKE) uninstall
#	cd server ; $(MAKE) uninstall
	cd client ; $(MAKE) uninstall
	cd logfile ; $(MAKE) uninstall
	
clean:
	cd common ; $(MAKE) clean
	cd logfile ; $(MAKE) clean
	cd client ; $(MAKE) clean
	cd driver ; $(MAKE) clean
	cd parser ; $(MAKE) clean
#	cd server ; $(MAKE) clean
#	cd queue ; $(MAKE) clean
	cd comms ; $(MAKE) clean
	cd resource ; $(MAKE) clean
	cd lock ; $(MAKE) clean
	cd terminal ; $(MAKE) clean

# --------------------------------------------------------------------

=== src/client/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:10:39 root Exp root $
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.modemlib

# --------------------------------------------------------------------

all: ../../bin/sms_client ../../bin/sms_address 

install: ../../bin/sms_client ../../bin/sms_address
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -s ../../bin/sms_client $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -s ../../bin/sms_address $(BINDIR)

uninstall:
	$(RM) $(BINDIR)/sms_client
	$(RM) $(BINDIR)/sms_address
	
clean:
	$(RM) *.o *.bak core 
	$(RM) ../../bin/sms_client 
	$(RM) ../../bin/sms_address 
	$(RM) version.h

# --------------------------------------------------------------------

INCLUDE=-I.. -I../driver

# --------------------------------------------------------------------
	
driver_lib:
	cd ../driver ; $(MAKE)

parser_lib:
	cd ../parser ; $(MAKE)

lock:
	cd ../lock ; $(MAKE) lock.a

comms:
	cd ../comms ; $(MAKE) comms.a

resource:
	cd ../resource ; $(MAKE) resource.a

# --------------------------------------------------------------------

version.h: ../../.version
	echo "#define MVERSION \"`awk '{ print $1 }' ../../.version`\"" >version.h

# --------------------------------------------------------------------

sms_client.o: sms_client.c expand.h sms_list.h ../driver/driver.h ../logfile/logfile.h ../error.h ../../Makefile.config version.h
	$(CC) $(CFLAGS) -c sms_client.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMLOGLEVEL=3 -DMLOGFILE="\"$(MLOGFILE)\"" $(INCLUDE)

sms_address.o: sms_address.c expand.h sms_list.h ../../Makefile.config version.h
	$(CC) $(CFLAGS) -c sms_address.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMLOGLEVEL=3 -DMLOGFILE="\"$(MLOGFILE)\"" $(INCLUDE)

sms_list.o: sms_list.c sms_list.h ../error.h ../logfile/logfile.h
	$(CC) $(CFLAGS) -c sms_list.c $(INCLUDE)

expand.o: ../logfile/logfile.h expand.h expand.c ../error.h sms_list.h ../driver/driver.h ../../Makefile.config
	$(CC) $(CFLAGS) -c expand.c -DMLOCALSMSRC="\"$(MLOCALSMSRC)\"" -DMGLOBALSMSRC="\"$(MGLOBALSMSRC)\"" $(INCLUDE)

# --------------------------------------------------------------------

../../bin/sms_client: sms_client.o expand.o ../logfile/logfile.o sms_list.o driver_lib lock ../common/common.o parser_lib comms resource ../../Makefile.modemlib
	$(CC) $(CFLAGS) -o ../../bin/sms_client sms_client.o expand.o $(MOBJS) ../logfile/logfile.o sms_list.o ../driver/sms_driver.a $(MLIBS) ../common/common.o $(XTRALIBS) ../parser/gs_parser.a ../comms/comms.a ../lock/lock.a ../resource/resource.a $(MLIBS)

../../bin/sms_address: sms_address.o expand.o sms_list.o driver_lib ../common/common.o parser_lib lock comms ../../Makefile.modemlib
	$(CC) $(CFLAGS) -o ../../bin/sms_address sms_address.o expand.o sms_list.o ../logfile/logfile.o $(MOBJS) ../driver/sms_driver.a $(MLIBS) ../common/common.o $(XTRALIBS) ../parser/gs_parser.a ../comms/comms.a ../lock/lock.a ../resource/resource.a $(MLIBS)

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/comms/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: comms.a

clean:
	$(RM) *.o *.bak comms.a 

# --------------------------------------------------------------------

INCLUDE = -I..

comms.a: expect.o modem.o tcpip.o base64.o url.o http.o http_tread.o http_twrite.o
	$(RM) comms.a 
	$(AR) comms.a expect.o modem.o tcpip.o base64.o url.o http.o http_tread.o http_twrite.o
	$(RANLIB) comms.a

expect.o: expect.c
	$(CC) $(CFLAGS) -c expect.c $(INCLUDE)

base64.o: base64.c base64.h
	$(CC) $(CFLAGS) -c base64.c $(INCLUDE)

url.o: url.c url.h
	$(CC) $(CFLAGS) -c url.c $(INCLUDE)

http.o: http.c http.h http_tread.h http_twrite.h
	$(CC) $(CFLAGS) -c http.c $(INCLUDE)

http_tread.o: http_tread.c http_tread.h
	$(CC) $(CFLAGS) -c http_tread.c $(INCLUDE)

http_twrite.o: http_twrite.c http_twrite.h
	$(CC) $(CFLAGS) -c http_twrite.c $(INCLUDE)

modem.o: modem.c
	$(CC) $(CFLAGS) -c modem.c -DMMODEMDIR="\"$(MSERVICEDIR)\"" $(INCLUDE)

tcpip.o: tcpip.c
	$(CC) $(CFLAGS) -c tcpip.c $(INCLUDE)

# --------------------------------------------------------------------

=== src/driver/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.drivers
include ../../Makefile.modemlib

# --------------------------------------------------------------------

INCLUDE =-I.. -I../client -I../parser
HDRS    =../common/common.h ../logfile/logfile.h driver.h ../error.h ia5table.h

# --------------------------------------------------------------------

all: ../../Makefile.drivers sms_driver.a

../../Makefile.drivers: ../../drivers
	cd ../.. ; sh configure -drivers
	$(MAKE) all

clean:
	$(RM) *.o *.bak sms_driver.a

# --------------------------------------------------------------------

sms_driver.a: $(DRV_OBJ) driver.o driver_comms.o ia5table.o ../../Makefile.drivers
	$(RM) sms_driver.a
	$(AR) sms_driver.a driver.o driver_comms.o ia5table.o $(DRV_OBJ)
	$(RANLIB) sms_driver.a

driver.o: driver.c driver.h ../common/common.h ../logfile/logfile.h ../../Makefile.config ../../Makefile.drivers ../../Makefile.modemlib
	$(CC) $(INCLUDE) $(CFLAGS) -c driver.c $(DRV_DEF) \
	-DMSERVICEDIR="\"$(MSERVICEDIR)\"" \
	-DMLIBDIR="\"$(MLIBDIR)\"" \
	-DMODEMLIB=$(MODEMLIB) \
	-DLIBMODEM=$(LIBMODEM) \
	-DSMSMODEM=$(SMSMODEM)

driver_comms.o: driver_comms.c driver_comms.h ../common/common.h ../logfile/logfile.h ../../Makefile.config ../../Makefile.drivers ../../Makefile.modemlib
	$(CC) $(INCLUDE) $(CFLAGS) -c driver_comms.c $(DRV_DEF) \
	-DMODEMLIB=$(MODEMLIB) \
	-DLIBMODEM=$(LIBMODEM) \
	-DSMSMODEM=$(SMSMODEM)

# --------------------------------------------------------------------

tap.o: tap.c ascii.h $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c tap.c

vodafone.o: vodafone.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodafone.c

vodacom.o: vodacom.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodacom.c

mtn.o: mtn.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c mtn.c

orange.o: orange.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c orange.c

pageone.o: pageone.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c pageone.c

one2one.o: one2one.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c one2one.c

libertel.o: libertel.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c libertel.c

tim.o: tim.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c tim.c

snpp.o: snpp.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c snpp.c

cimd.o: cimd.c $(HDRS) ascii.h
	$(CC) $(INCLUDE) $(CFLAGS) -c cimd.c

kpn.o: kpn.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c kpn.c

www.o: www.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c www.c

proximus.o: proximus.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c proximus.c

answer.o: answer.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c answer.c

ucp.o: ucp.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c ucp.c

ucp_tcp.o: ucp_tcp.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c ucp_tcp.c

vodapage_block.o: vodapage_block.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodapage_block.c

skeleton.o: skeleton.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c skeleton.c

generic.o: generic.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c generic.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" 

orange_web.o: orange_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c orange_web.c

cellnet_web.o: cellnet_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c cellnet_web.c

proximus_web.o: proximus_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c proximus_web.c

mobistar.o: mobistar.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c mobistar.c

att_web.o: att_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c att_web.c

nextel_web.o: nextel_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c nextel_web.c

pagenet_web.o: pagenet_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c pagenet_web.c

ia5table.o: ia5table.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c ia5table.c

# --------------------------------------------------------------------

=== src/logfile/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:10:39 root Exp root $
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: logfile.o

install:
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(LOGDIR)

clean:
	$(RM) *.o

# --------------------------------------------------------------------

logfile.o: logfile.c logfile.h
	$(CC) $(CFLAGS) -I.. -c logfile.c

# --------------------------------------------------------------------

=== src/queue/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.modemlib

# --------------------------------------------------------------------

all: ../../bin/queue

install: ../../bin/queue 
	$(INSTALL) -m 755 -d $(BINDIR)
	$(INSTALL) -s -o $(SMSUSER) -g $(SMSGROUP) -m 755 ../../bin/queue $(BINDIR)

uninstall:
	$(RM) $(BINDIR)/queue

test: test_queue test_write

clean:
	$(RM) *.o *.bak test_queue test_write ../../bin/queue

# --------------------------------------------------------------------

INCLUDE = -I.. -I../parser

# --------------------------------------------------------------------

gs_parser:
	cd ../parser ; $(MAKE) gs_parser.a

gs_api:
	cd ../parser/gs_api ; $(MAKE) gs_api.a

resource:
	cd ../resource ; $(MAKE) resource.a

driver:
	cd ../driver ; $(MAKE)

lock:
	cd ../lock ; $(MAKE) lock.a

comms:
	cd ../comms ; $(MAKE) comms.a

# --------------------------------------------------------------------

version.h: ../../.version
	echo "#define MVERSION \"`awk '{ print $1 }' ../../.version`\"" >version.h

# --------------------------------------------------------------------

npipe.o: npipe.c ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) -c npipe.c $(INCLUDE)

process.o: process.c ../common/common.h ../logfile/logfile.h process.h
	$(CC) $(CFLAGS) -c process.c $(INCLUDE)

fread.o: fread.c 
	$(CC) $(CFLAGS) -c fread.c $(INCLUDE)

test_queue.o: test_queue.c ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) -c test_queue.c $(INCLUDE)

queue.o: queue.c ../common/common.h ../logfile/logfile.h npipe.h  version.h
	$(CC) $(CFLAGS) -c queue.c $(INCLUDE) -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMSMSDLOGLEVEL=3 -DMSMSDLOGFILE="\"$(MSMSDLOGFILE)\""

test_write.o: test_write.c ../common/common.h ../logfile/logfile.h
	$(CC) $(CFLAGS) -c test_write.c $(INCLUDE)

# --------------------------------------------------------------------

../../bin/queue: queue.o fread.o npipe.o process.o ../logfile/logfile.o ../common/common.o gs_parser gs_api resource lock driver comms ../../Makefile.modemlib
	$(CC) $(CFLAGS) queue.o fread.o npipe.o process.o -o ../../bin/queue ../logfile/logfile.o ../common/common.o ../resource/resource.a ../parser/gs_parser.a ../parser/gs_api/gs_api.a  ../lock/lock.a ../driver/sms_driver.a ../comms/comms.a $(MLIBS) $(XTRALIBS)

# --------------------------------------------------------------------

test_queue: test_queue.o npipe.o process.o ../common/common.h ../logfile/logfile.h npipe.h process.h
	$(CC) $(CFLAGS) test_queue.o npipe.o process.o -o test_queue 
	
test_write: test_write.o ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) test_write.o -o test_write
	
# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/server/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: ../../bin/smsd ../../bin/snppd

install: ../../bin/smsd ../../bin/snppd
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -s ../../bin/smsd $(BINDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -s ../../bin/snppd $(BINDIR)

uninstall:
	$(RM) $(BINDIR)/smsd
	$(RM) $(BINDIR)/snppd

clean:
	$(RM) *.o *.bak ../../bin/smsd ../../bin/snppd

# --------------------------------------------------------------------

INCLUDE = -I..

gs_parser:
	cd ../parser ; $(MAKE) gs_parser.a

lock:
	cd ../lock ; $(MAKE) lock.a

resource:
	cd ../resource ; $(MAKE) resource.a

# --------------------------------------------------------------------

version.h: ../../.version
	echo "#define MVERSION \"`awk '{ print $1 }' ../../.version`\"" >version.h

# --------------------------------------------------------------------

server.o: server.c ../common/common.h ../logfile/logfile.h server.h
	$(CC) $(CFLAGS) -c server.c $(INCLUDE)

snppd.o: snppd.c ../logfile/logfile.h server.h ../common/common.h ../../Makefile.config version.h
	$(CC) $(CFLAGS) -c snppd.c -DMSNPPDLOGLEVEL=3 -DMSNPPDLOGFILE="\"$(MSNPPDLOGFILE)\"" $(INCLUDE)

smsd.o: smsd.c ../logfile/logfile.h server.h ../common/common.h ../../Makefile.config ../resource/resource.h version.h
	$(CC) $(CFLAGS) -c smsd.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMSMSDLOGLEVEL=3 -DMSMSDLOGFILE="\"$(MSMSDLOGFILE)\"" $(INCLUDE) 

../../bin/smsd: smsd.o server.o ../logfile/logfile.o ../common/common.o resource gs_parser lock
	$(CC) $(CFLAGS) -o ../../bin/smsd smsd.o server.o ../logfile/logfile.o ../common/common.o $(XTRALIBS) ../resource/resource.a ../lock/lock.a ../parser/gs_parser.a 

../../bin/snppd: snppd.o server.o ../logfile/logfile.o ../common/common.o lock
	$(CC) $(CFLAGS) -o ../../bin/snppd snppd.o server.o ../logfile/logfile.o ../common/common.o ../lock/lock.a $(XTRALIBS)

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/common/sprintf/Makefile ===
CC=gcc
AR=ar

all: test

clean:
	$(RM) test
	$(RM) *.o
	$(RM) libport.a


test: test.o libport.a
	$(CC) -o test test.o libport.a

test.o: test.c 
	$(CC) -o test.o -c test.c 

libport.a: format.o fprintf.o printf.o snprintf.o sprintf.o vfprintf.o vprintf.o vsnprintf.o vsprintf.o
	$(AR) -rc libport.a format.o fprintf.o printf.o snprintf.o sprintf.o vfprintf.o vprintf.o vsnprintf.o vsprintf.o

format.o: format.c 
	$(CC) -o format.o -c format.c 

fprintf.o: fprintf.c
	$(CC) -o fprintf.o -c fprintf.c

printf.o: printf.c
	$(CC) -o printf.o -c printf.c

snprintf.o: snprintf.c
	$(CC) -o snprintf.o -c snprintf.c

sprintf.o: sprintf.c
	$(CC) -o sprintf.o -c sprintf.c

vfprintf.o: vfprintf.c
	$(CC) -o vfprintf.o -c vfprintf.c

vprintf.o: vprintf.c
	$(CC) -o vprintf.o -c vprintf.c

vsnprintf.o: vsnprintf.c
	$(CC) -o vsnprintf.o -c vsnprintf.c

vsprintf.o: vsprintf.c
	$(CC) -o vsprintf.o -c vsprintf.c

=== debian/changelog ===
smsclient (2.0.8z-9) unstable; urgency=low

  * Add Catalan translation, thanks to Jordà Polo. (closes: #412302)
  * Add Galician translation, thanks to Jacobo Tarrio. (closes: #412239)
  * Cleanup grammar errors in debconf template. (closes: #412317)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 01 Mar 2007 13:52:44 +0000

smsclient (2.0.8z-8) unstable; urgency=low

  * Add Spanish translation, thanks to Jose Ignacio Méndez González and
    Javier Fernández-Sanguino Peña. (closes: #403539)
  * Updated German translation, thanks to Helge Kreutzmann (closes: #402048)
  * Add missing build-dep on po-debconf.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 22 Feb 2007 20:09:37 +0000

=== debian/control ===
Source: smsclient
Section: comm
Priority: optional
Maintainer: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>= 4.1.16), po-debconf
Standards-Version: 3.7.2.0

Package: smsclient
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Suggests:
Description: A program for sending short messages (SM / SMS)
 smsclient is a tool for sending short messages (SM - often false
 named SMS). SM can be sent to mobile phones. Additional some
 paging systems are supported by this tool. smsclient supports
 the common protocols UCP, TAP and some other. Out of the box there
 is preconfigured support for many local services, but smsclient
 can be easily extended to support other systems.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Customized for smsclient by Michael Holzt.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	rm -f .configured
	./configure
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	rm -f .configured
	./configure
	-$(MAKE) clean
	rm -f Makefile
	rm -f Makefile.config

	debconf-updatepo
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/smsclient

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installchangelogs -a Changelog
	dh_installexamples contrib
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installman docs/sms_address.1 docs/sms_client.1
	dh_link
	dh_strip
	dh_compress -A
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
